<?php

/**
 * Returns the inline custom css
 * @return [String]
 */
function rustic_state_get_custom_css() {
  $CUSTOM_CSS = '';

  // Primary font name
  $Font_primary_name = esc_html(get_option("Font_primary_name"));
  if ($Font_primary_name) {
    $CUSTOM_CSS .= "
    .post-date,
    .categories-list a,
    label, form, body {
      font-family: {$Font_primary_name};
    }";
  }

  // Secondary font name
  $Font_secondary_name = esc_html(get_option("Font_secondary_name"));
  if ($Font_secondary_name) {
    $CUSTOM_CSS .= "
    input[type=text],
    input[type=email],
    input[type=url],
    input[type=search],
    input[type=password],
    input, textarea, select,

    h1,h2,h3,h4,h5,h6,

    input[type=submit], .btn
    .home-slider__box p,
    .italic-title,
    .footer-bottom h2,
    .nav__list > li > a,
    .post-single-title,
    .search-title,
    .post-title,
    .post-title a,
    .post.format-quote .text-abs .post-title,
    blockquote::before,
    .error-404,
    .box .text,
    .logo-big-title,
    .widget-title,
    .top-nav-container ul li a,
    .comment-reply-title,
    .comments-title {
      font-family: {$Font_secondary_name};
    }";
  }

  // Body text color
  $text_color = esc_html(get_header_textcolor());
  if ($text_color) {
    $CUSTOM_CSS .= "
    .logo-title {
      color: #{$text_color};
    }";
  }

  // Main menu color
  $RS_colors_menu = esc_html(get_option("RS_colors_menu"));
  if ($RS_colors_menu) {
    $CUSTOM_CSS .= "
    .nav .sub-menu li > a,
    .nav__list > li > a {
      color: {$RS_colors_menu};
    }";
  }

  // Main menu hover color
  $RS_colors_menu_hover = esc_html(get_option("RS_colors_menu_hover"));
  if ($RS_colors_menu_hover) {
    $CUSTOM_CSS .= "
    .nav .sub-menu li > a:hover,
    .nav__list > li:hover > a {
      color: {$RS_colors_menu_hover};
    }";
  }

  // Links/URLs color
  $RS_colors_link = esc_html(get_option("RS_colors_link"));
  if ($RS_colors_link) {
    $CUSTOM_CSS .= "
    .categories-list a,
    .social-widget a,
    .post-title a,
    .comment .comment-reply-link,
    a {
      color: {$RS_colors_link};
    }";
  }

  // Links/URLs hover color
  $RS_colors_link_hover = esc_html(get_option("RS_colors_link_hover"));
  if ($RS_colors_link_hover) {
    $CUSTOM_CSS .= "
    .categories-list a:hover,
    .social-widget a:hover,
    .post-title a:hover,
    .comment .comment-reply-link:hover,
    a:hover {
      color: {$RS_colors_link_hover};
    }";
  }

  // Btn color
  $RS_colors_btn = esc_html(get_option("RS_colors_btn"));
  if ($RS_colors_btn) {
    $CUSTOM_CSS .= "
    .comment-form input[type=submit],
    input[type=submit],
    .btn-primary,
    .widget .tagcloud a {
      background-color: {$RS_colors_btn};
    }";
  }

  // Btn hover color
  $RS_colors_btn_hover = esc_html(get_option("RS_colors_btn_hover"));
  if ($RS_colors_btn_hover) {
    $CUSTOM_CSS .= "
    .comment-form input[type=submit]:hover,
    input[type=submit]:hover,
    .btn-primary:hover,
    .widget .tagcloud a:hover {
      background-color: {$RS_colors_btn_hover};
    }";
  }

  // Post text color
  $RS_colors_text = esc_html(get_option("RS_colors_text"));
  if ($RS_colors_text) {
    $CUSTOM_CSS .= "
    .comment-content p,
    label, pre,
    .post-text,
    .post-text p,
    .post-text strong,
    .text-content,
    .text-content strong,
    .text-content p,
    body, p, em, strong, ul, li, ol, b, blockquote, blockquote::before {
      color: {$RS_colors_text};
    }";
  }

  // Post text color
  $RS_colors_post_header = esc_html(get_option("RS_colors_post_header"));
  if ($RS_colors_post_header) {
    $CUSTOM_CSS .= "
    .post-text h1,
    .post-text h2,
    .post-text h3,
    .post-text h4,
    .post-text h5,
    .post-text h6,
    .text-content h1,
    .text-content h2,
    .text-content h3,
    .text-content h4,
    .text-content h5,
    .text-content h6 {
      color: {$RS_colors_post_header};
    }";
  }




  return $CUSTOM_CSS;
}
