<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Eppe
 */
?>

	</div>
	<!-- /.row; -->
	</div>
	<!-- /.container -->
</div><!-- #page -->

<?php
	if( get_option("MR_social-facebook") ||
			get_option("MR_social-twitter") ||
			get_option("MR_social-google") ||
			get_option("MR_social-instagram") ||
			get_option("MR_social-pinterest") ||
			get_option("MR_social-youtube")
	):
?>
<div class="footer-top">
	<div class="container">
		<div class="row">
			<div class="col-12">

				<div class="footer-top__flex">
					<div class="footer-top__social">
						<?php if(get_option("MR_social-facebook")): ?>
							<a href="<?php echo esc_url(get_option("MR_social-facebook")) ?>"><i class="fa fa-facebook"></i> Facebook</a>
						<?php endif ?>
					</div>
					<div class="footer-top__social">
						<?php if(get_option("MR_social-twitter")): ?>
							<a href="<?php echo esc_url(get_option("MR_social-twitter")) ?>"><i class="fa fa-twitter"></i> Twitter</a>
						<?php endif ?>
					</div>
					<div class="footer-top__social">
						<?php if(get_option("MR_social-google")): ?>
							<a href="<?php echo esc_url(get_option("MR_social-google")) ?>"><i class="fa fa-google"></i> Google Plus</a>
						<?php endif ?>
					</div>
					<div class="footer-top__social">
						<?php if(get_option("MR_social-instagram")): ?>
							<a href="<?php echo esc_url(get_option("MR_social-instagram")) ?>"><i class="fa fa-instagram"></i> Instagram</a>
						<?php endif ?>
					</div>
					<div class="footer-top__social">
						<?php if(get_option("MR_social-pinterest")): ?>
							<a href="<?php echo esc_url(get_option("MR_social-pinterest")) ?>"><i class="fa fa-pinterest"></i> Pinterest</a>
						<?php endif ?>
					</div>
					<div class="footer-top__social">
						<?php if(get_option("MR_social-youtube")): ?>
							<a href="<?php echo esc_url(get_option("MR_social-youtube")) ?>"><i class="fa fa-youtube"></i> Youtube</a>
						<?php endif ?>
					</div>
				</div>

			</div>
		</div>
	</div>
</div>
<?php else: ?>
	<br class="clearfix">
<?php endif ?>


<?php if(get_option("MR_footer-upload")): ?>
	<div class="footer-bottom" style="background-image: url('<?php echo esc_url(get_option("MR_footer-upload")) ?>')">
<?php else: ?>
	<div class="footer-bottom">
<?php endif ?>

	<div class="footer-golden"></div>
	<div class="container">
		<div class="row">
			<div class="col-12">

				<div class="row">
					<div class="col-12 col-4-tablet">
						<?php if (is_active_sidebar('footer-1' )): ?>
							<?php dynamic_sidebar( 'footer-1' ); ?>
						<?php endif; ?>
					</div>

					<div class="col-12 col-4-tablet">
						<?php if (is_active_sidebar('footer-2' )): ?>
							<?php dynamic_sidebar( 'footer-2' ); ?>
						<?php endif; ?>
					</div>

					<div class="col-12 col-4-tablet">
						<?php if (is_active_sidebar('footer-3' )): ?>
							<?php dynamic_sidebar( 'footer-3' ); ?>
						<?php endif; ?>
					</div>
				</div>

			</div>
			<!-- /.col-12 col-4-hd -->
		</div>
		<!-- /.row -->
	</div>

	<div class="instagram-feed">
		<?php if(shortcode_exists('instagram-feed')): ?>
			<div class="text-center">
				<h4><?php echo esc_html__('Instagram Feed', 'rustic-state') ?></h4>
			</div>
			<?php echo do_shortcode('[instagram-feed]'); ?>
		<?php endif; ?>
	</div>
	<div class="container">
		<div class="text-center">
			<?php echo esc_html__('Copyright ', 'rustic-state') . date('Y '); bloginfo() ?>
			<?php echo esc_html__('All rights reserved. ', 'rustic-state') ?>
		</div>
	</div>

</div>
<!-- /.footer -->

	<?php wp_footer(); ?>
</body>
</html>
