<?php
/**
 * Letters Rhythm helpers
 */

/**
 * Returns current number of a page
 * @return [Integer]
 */
function rustic_state_get_paged() {
  if(get_query_var('paged')) {
   $paged = get_query_var('paged');
  } elseif (get_query_var('page')) {
   $paged = get_query_var('page');
  } else {
   $paged = 1;
  }

  return esc_attr($paged);
}

add_action('admin_init', 'rustic_state_get_paged');

/**
 * Gets the Googlefonts URL
 * @return [String]
 */
function rustic_state_studio_fonts_url($args) {
  $font_url = '';

	if($args) {
    $font_url = add_query_arg( 'family', ( $args ), "//fonts.googleapis.com/css?family=" );
  }
	return $font_url;
}

add_action('admin_init', 'rustic_state_studio_fonts_url');



/**
 * Returns a main loop posts
 * @return [WP_Query]
 */
function rustic_state_get_main_loop_posts() {
  return new WP_Query(array(
    'paged' => rustic_state_get_paged(),
    'posts_per_page' => RUSTIC_STATE_PAGES_NUM,
    'post_status' => 'publish'
  ));
}

/**
 * Returns a pagination view
 * @return [String]
 */
function rustic_state_main_loop_pagination($total){
  $big = 999999999; // need an unlikely integer

  echo '<div class="navigation pagination">';
  echo paginate_links( array(
    'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
    'format' => '?paged=%#%',
    'current' => rustic_state_get_paged(),
    'total' => $total,
    'prev_text' => esc_html__( 'Previous', 'rustic-state' ),
    'next_text' => esc_html__( 'Next', 'rustic-state' )
  ));
  echo '</div>';
}
