<?php

/**
 * Function that will detect post views count
 * @param [Integer] $postID
 */
function rustic_state_set_post_views($postID) {
    $count_key = 'rustic_state_post_views_count';
    $count = get_post_meta($postID, $count_key, true);

    if ($count == '') {
      $count = 0;
      delete_post_meta($postID, $count_key);
      add_post_meta($postID, $count_key, '0');
    } else {
      update_post_meta($postID, $count_key, ++$count);
    }
}
//To keep the count accurate, lets get rid of prefetching
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);


/**
 * Adds the tracker to wp_head
 * @param  [Integer] $post_id
 */
function rustic_state_track_post_views ($post_id) {
    if ( !is_single() ) return;
    if ( empty ( $post_id) ) {
        global $post;
        $post_id = $post->ID;
    }
    rustic_state_set_post_views($post_id);
}
add_action( 'wp_head', 'rustic_state_track_post_views');


/**
 * Returns post view count
 * @param  [Integer] $postID
 * @return [String]
 */
function rustic_state_get_post_views($postID){
    $count_key = 'rustic_state_post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if ($count == '') {
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "0 View";
    }
    return $count . ' Views';
}
