<?php

require get_template_directory() . '/inc/tgm/class-tgm-plugin-activation.php';


/**
 * Register the required plugins for this theme.
 *
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
function rustic_state_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(
    array(
     'name'      => esc_html__('Contact form 7', 'rustic-state'),
     'slug'      => 'contact-form-7',
     'required'  => true,
   ),
   array(
     'name'      => esc_html__('WordPress importer', 'rustic-state'),
     'slug'      => 'wordpress-importer',
     'required'  => true,
   ),
   array(
     'name'      => esc_html__('Envato Market', 'rustic-state'),
     'slug'      => 'envato-market',
     'required'  => false,
		 'source'    => get_template_directory_uri() . '/external_plugins/envato-market.zip',
   ),
   array(
     'name'      => esc_html__('Simple Slick Slider', 'rustic-state'),
     'slug'      => 'simple-slick-slider',
     'required'  => true,
		 'version' 	 => '1.2',
		 'source'    => get_template_directory_uri() . '/external_plugins/simple-slick-slider.zip',
   ),
	);

	$config = array(
		'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	);

	tgmpa( $plugins, $config );
}

add_action( 'tgmpa_register', 'rustic_state_register_required_plugins' );
