<?php
/*
Plugin Name: Banner upload widget
Version: 1.0
Plugin URI: http://www.eppearance.pl/
Description: Displays the banner in sidebar
Author: Paweł Stachula
Author URI: http://www.eppearance.pl/
*/

add_action( 'widgets_init', 'Rustic_State_Banner_upload_widget' );

function Rustic_State_Banner_upload_widget() {
	register_widget( 'Rustic_State_Banner_upload_widget' );
}

class Rustic_State_Banner_upload_widget extends WP_Widget
{
  public function __construct()
  {
    $widget_details = array(
      'classname' => 'Rustic_State_Banner_upload_widget',
      'description' => 'Custom image banner in sidebar.'
    );

    parent::__construct( 'Rustic_State_Banner_upload_widget', '[ RS ] Custom banner', $widget_details );
    add_action('admin_enqueue_scripts', array($this, 'mfc_assets'));
  }


  public function mfc_assets()
  {
    wp_enqueue_script('media-upload');
    wp_enqueue_script('thickbox');
    wp_enqueue_script('mfc-media-upload', get_template_directory_uri() . '/js/mfc-media-upload.js', array('jquery'));
    wp_enqueue_style('thickbox');
  }

  public function update( $new_instance, $old_instance ) {
      return $new_instance;
  }

  public function form( $instance )
  {

	$title = '';
    if( !empty( $instance['title'] ) ) {
        $title = $instance['title'];
    }
    $link_url = '';
    if( !empty( $instance['link_url'] ) ) {
        $link_url = $instance['link_url'];
    }

	$image = '';
	if(isset($instance['image']))
	{
	    $image = $instance['image'];
	}
      ?>
      <p>
          <label for="<?php echo esc_html($this->get_field_name( 'title' )); ?>"><?php echo esc_html__( 'Title:', 'rustic-state' ); ?></label>
          <input class="widefat" id="<?php echo esc_html($this->get_field_id( 'title' )); ?>" name="<?php echo esc_html($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
      </p>

      <p>
          <label for="<?php echo esc_html($this->get_field_name( 'link_url' )); ?>"><?php echo esc_html__( 'Link URL:', 'rustic-state' ); ?></label>
          <input class="widefat" id="<?php echo esc_html($this->get_field_id( 'link_url' )); ?>" name="<?php echo esc_html($this->get_field_name( 'link_url' )); ?>" type="text" value="<?php echo esc_attr( $link_url ); ?>" />
      </p>

      <p>
          <label for="<?php echo esc_html($this->get_field_name( 'image' )); ?>"><?php echo esc_html__( 'Image:', 'rustic-state' ); ?></label>
          <input name="<?php echo esc_html($this->get_field_name( 'image' )); ?>" id="<?php echo esc_html($this->get_field_id( 'image' )); ?>" class="widefat" type="text" size="36"  value="<?php echo esc_url( $image ); ?>" />
          <input class="upload_image_button" type="button" value="Upload Image" />
      </p>
  <?php
  }

	public function widget( $args, $instance )
  {
  	echo $args['before_widget'];
  	if ( ! empty( $instance['title'] ) ) {
  		echo $args['before_title'] . apply_filters( 'widget_title', $instance['title'] ). $args['after_title'];
  	}

  	?>

  	<div>
      <a href='<?php echo esc_url($instance['link_url']) ?>'>
  	    <img src='<?php echo esc_url($instance['image']) ?>'>
      </a>
  	</div>

  	 <?php
  	 echo $args['after_widget'];
  }

}
