/**
 * Main script
 */

(function ($) {
  'use strict'

  /**
   * Home Module
   */
  var Home = {

    /**
     * Bootsrap module
     */
    bootstrap: function () {
      this.mobileMenu()
      this.dropdownMobile()
    },

    /**
     * Toggles mobile menu
     * @param  options
     */
    mobileMenu: function (options) {
      var delay = options || 300
      var hamburger = $('.hamburger, .hamburger-mobile')
      var mobile = $('.nav-mobile')

      hamburger.on('click', function () {
        mobile.fadeToggle(delay)
      })
    },

    /**
     * Toggles mobile navigation dropdowns
     * @param  options
     */
    dropdownMobile: function (options) {
      var delay = options || 300
      var dropdowns = $('.nav-mobile__list .sub-menu')

      $('.nav-mobile__list li a').on('click', function (e) {
        e.stopPropagation()
        var dropdownSingle = $(this).next('.sub-menu')

        if (dropdownSingle.length) {
          dropdowns.fadeOut(delay)

          if (dropdownSingle.css('display') === 'none') {
            dropdownSingle.fadeIn(delay)
          } else {
            dropdownSingle.fadeOut(delay)
          }

          return false
        }
      })

      $('body').on('click', function (e) {
        dropdowns.fadeOut(delay)
      })
    }
  }

  $(document).ready(function () {
    Home.bootstrap()
  })
})(jQuery)
