<?php
/**
 * The sidebar containing the main widget area.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Eppe
 */

	if ( ! is_active_sidebar( 'sidebar-1' ) ) {
		return;
	}
?>

	<div class="sidebar">

		<?php if (get_option("RS_profil") || get_option("RS_profil-upload")): ?>
			<h2 class="widget-title mt0"><?php echo esc_html__('Hey There!', 'rustic-state') ?></h2>
			<?php if(get_option("RS_profil-upload")): ?>
				<img src="<?php echo esc_url(get_option("RS_profil-upload")) ?>" alt="<?php echo esc_html__('Profil image', 'rustic-state') ?>" class="profil-img" />
			<?php endif ?>
			<p class="profil-desc">
				<?php echo esc_html(get_option("RS_profil")) ?>
			</p>
		<?php endif; ?>

		<?php
		 	if (
					get_option('RS_social-facebook') ||
					get_option('RS_social-twitter') ||
					get_option('RS_social-google') ||
					get_option('RS_social-pinterest') ||
					get_option('RS_social-instagram') ||
					get_option('RS_social-youtube')
				):
		?>

			<h2 class="widget-title"><?php echo esc_html__('Let\'s Connect', 'rustic-state') ?></h2>
			<div class="widget social-widget">
	      <?php if (get_option('RS_social-facebook')): ?>
	        <a href="<?php echo esc_url(get_option('RS_social-facebook')) ?>"><i class="fa fa-facebook"></i></a>
	      <?php endif; ?>

	      <?php if (get_option('RS_social-twitter')): ?>
	        <a href="<?php echo esc_url(get_option('RS_social-twitter')) ?>"><i class="fa fa-twitter"></i></a>
	      <?php endif; ?>

	      <?php if (get_option('RS_social-google')): ?>
	        <a href="<?php echo esc_url(get_option('RS_social-google')) ?>"><i class="fa fa-google"></i></a>
	      <?php endif; ?>

	      <?php if (get_option('RS_social-pinterest')): ?>
	        <a href="<?php echo esc_url(get_option('RS_social-pinterest')) ?>"><i class="fa fa-pinterest-p"></i></a>
	      <?php endif; ?>

	      <?php if (get_option('RS_social-instagram')): ?>
	        <a href="<?php echo esc_url(get_option('RS_social-instagram')) ?>"><i class="fa fa-instagram"></i></a>
	      <?php endif; ?>

	      <?php if (get_option('RS_social-youtube')): ?>
	        <a href="<?php echo esc_url(get_option('RS_social-youtube')) ?>"><i class="fa fa-youtube"></i></a>
	      <?php endif; ?>
	    </div>

		<?php endif ?>

		<?php dynamic_sidebar( 'sidebar-1' ); ?>
	</div>
