<?php
/**
 *
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 */
?>

<?php if(is_sticky()): ?>
	<div class="sticky-bg">
		<div class="sticky-tape"></div>
<?php endif ?>

<div class="post-classic">
	<div <?php post_class() ?>>

		<div class="post-img">
			<?php if (has_post_thumbnail( $post->ID ) ): ?>
				<a href="<?php the_permalink() ?>" title="<?php $post->post_title ?>" class="img-container">
					<span class="img-border">
						<?php echo get_the_post_thumbnail( $post->ID, 'full' ); ?>
					</span>
				</a>
			<?php endif	?>
		</div>

		<div class="text-center">
			<div class="post-title"><a href="<?php the_permalink() ?>"><?php the_title() ?></a></div>
			<div class="post-date">
				<?php echo esc_html__('by', 'rustic-state'); ?>
				<?php the_author(); ?>, <?php echo esc_html(get_the_date()); ?>
				<?php $categories = get_the_category() ?>
				<?php if (!empty( $categories ) ): ?>
					<?php echo esc_html__('in', 'rustic-state') ?>	<a class="category" href="<?php echo esc_url(get_category_link($categories[0]->term_id)) ?>"><?php echo esc_html($categories[0]->name) ?></a>
				<?php endif ?>
			</div>
		</div>

		<div class="text-content">
			<?php the_content(''); ?>
		</div>

		<div class="text-center">
			<div class="clear">
				<a href="<?php the_permalink() ?>" class="btn btn-primary"><?php echo esc_html__('Continue reading', 'rustic-state') ?></a>
			</div>
		</div>

	</div>
</div>

<?php if(is_sticky()): ?>
	</div>
<?php endif ?>

<div class="text-center">
	<div class="post-divider"></div>
</div>
