<?php

/**
 * Popular posts
  */
 ?>

<?php $latestPosts = new WP_Query( array(
  'posts_per_page' => 3,
  'post__not_in' => get_option('sticky_posts'),
  'meta_key' => 'rustic_state_post_views_count',
  'orderby' => 'meta_value_num',
  'order' => 'DESC'
)); ?>

<?php if ( $latestPosts->have_posts() ) : ?>

<div class="mb20">
  <div class="row">
    <div class="col-12">

      <div class="text-center">
      	<div class="post-divider"></div>
        <h2 class="italic-title"><?php echo esc_html__('Most Popular Posts', 'rustic-state') ?></h2>
      </div>

      <div class="popular-posts row">
          <?php while ( $latestPosts->have_posts() ) : $latestPosts->the_post(); ?>
            <div class="col-12 col-4-tablet">
              <div <?php post_class() ?>>

              	<div class="post-img">
              		<?php if (has_post_thumbnail( ) ): ?>
                    <a href="<?php the_permalink() ?>" title="<?php $post->post_title ?>" class="img-container">
            						<?php echo get_the_post_thumbnail( $post->ID, 'rustic-state-grid-thumbnail' ) ?>
            				</a>
              		<?php endif	?>
              	</div>

              	<div class="text-center">
              		<div class="post-date">
              			<div class="categories-list">
              				<?php $categories = get_the_category() ?>
              				<?php if (!empty( $categories ) ): ?>
              					- <a class="category" href="<?php echo esc_url(get_category_link($categories[0]->term_id)) ?>"><?php echo esc_html($categories[0]->name) ?></a> -
              				<?php endif ?>
              			</div>
              		</div>
              		<div class="post-title"><a href="<?php the_permalink() ?>"><?php the_title() ?></a></div>
              	</div>

              </div>
            </div>
          <?php endwhile; ?>
        <?php wp_reset_postdata(); ?>
      </div>

      <div class="text-center">
      	<div class="post-divider"></div>
      </div>

    </div>
  </div>
</div>

<?php endif; ?>
