<?php
add_action( 'admin_menu', 'simple_slick_slider_add_admin_menu' );
add_action( 'admin_init', 'simple_slick_slider_settings_init' );


function simple_slick_slider_add_admin_menu(  ) {

	add_menu_page( 'Simple Slick  Slider', 'Simple Slider', 'manage_options', 'simple_slick_slicker', 'simple_slick_slider_options_page' );

}


function simple_slick_slider_settings_init(  ) {

	register_setting( 'pluginPage', 'simple_slick_slider_settings' );

	add_settings_section(
		'simple_slick_slider_pluginPage_section',
		__( '', 'simple-slick-slider' ),
		'simple_slick_slider_settings_section_callback',
		'pluginPage'
	);

	add_settings_field(
		'simple_slick_slider_fadeanimation',
		__( 'Fade animation', 'simple-slick-slider' ),
		'simple_slick_slider_fadeanimation_render',
		'pluginPage',
		'simple_slick_slider_pluginPage_section'
	);

	add_settings_field(
		'simple_slick_slider_slidespeed',
		__( 'Slide speed', 'simple-slick-slider' ),
		'simple_slick_slider_slidespeed_render',
		'pluginPage',
		'simple_slick_slider_pluginPage_section'
	);

	add_settings_field(
		'simple_slick_slider_autoplay',
		__( 'Autoplay', 'simple-slick-slider' ),
		'simple_slick_slider_autoplay_render',
		'pluginPage',
		'simple_slick_slider_pluginPage_section'
	);

	add_settings_field(
		'simple_slick_slider_autoplayspeed',
		__( 'Autoplay Speed', 'simple-slick-slider' ),
		'simple_slick_slider_autoplayspeed_render',
		'pluginPage',
		'simple_slick_slider_pluginPage_section'
	);

	add_settings_field(
		'simple_slick_slider_boxedlayout',
		__( 'Boxed layout', 'simple-slick-slider' ),
		'simple_slick_slider_boxedlayout_render',
		'pluginPage',
		'simple_slick_slider_pluginPage_section'
	);


}


function simple_slick_slider_autoplayspeed_render(  ) {

	$options = get_option( 'simple_slick_slider_settings' );
	?>
	<input type='text' name='simple_slick_slider_settings[simple_slick_slider_autoplayspeed]' value='<?php echo $options['simple_slick_slider_autoplayspeed']; ?>'>
	<p><?php echo esc_html__("Autoplay speed (ms). Default: 3000") ?></p>
	<?php

}


function simple_slick_slider_slidespeed_render(  ) {

	$options = get_option( 'simple_slick_slider_settings' );
	?>
	<input type='text' name='simple_slick_slider_settings[simple_slick_slider_slidespeed]' value='<?php echo $options['simple_slick_slider_slidespeed']; ?>'>
	<p><?php echo esc_html__("Slide/Fade animation speed (ms). Default: 400") ?></p>
	<?php

}


function simple_slick_slider_autoplay_render(  ) {

	$options = get_option( 'simple_slick_slider_settings' );
  $val = 0;
  if(!empty($options['simple_slick_slider_autoplay'])) { $val = $options['simple_slick_slider_autoplay']; }

	?>
	<input type='checkbox' name='simple_slick_slider_settings[simple_slick_slider_autoplay]' <?php checked( $val, 1 ); ?> value='1'>
	<p><?php echo esc_html__("Enables Autoplay. Default: off") ?></p>
	<?php

}


function simple_slick_slider_fadeanimation_render(  ) {

	$options = get_option( 'simple_slick_slider_settings' );
  $val = 0;
  if(!empty($options['simple_slick_slider_fadeanimation'])) { $val = $options['simple_slick_slider_fadeanimation']; }

	?>
	<input type='checkbox' name='simple_slick_slider_settings[simple_slick_slider_fadeanimation]' <?php checked( $val, 1 ); ?> value='1'>
	<p><?php echo esc_html__("Enable fade effect. Default: off") ?></p>
	<?php

}


function simple_slick_slider_boxedlayout_render() {

	$options = get_option( 'simple_slick_slider_settings' );
  $val = 0;
  if(!empty($options['simple_slick_slider_boxedlayout'])) { $val = $options['simple_slick_slider_boxedlayout']; }

	?>
	<input type='checkbox' name='simple_slick_slider_settings[simple_slick_slider_boxedlayout]' <?php checked( $val, 1 ); ?> value='1'>
	<p><?php echo esc_html__("Enables boxed layout. Default: full-width layout") ?></p>
	<?php

}


function simple_slick_slider_settings_section_callback(  ) {
	echo __( 'Settings', 'simple-slick-slider' );
}


function simple_slick_slider_options_page(  ) {

	?>
	<form action='options.php' method='post'>

		<h2>Simple Slick Slider</h2>

		<?php
		settings_fields( 'pluginPage' );
		do_settings_sections( 'pluginPage' );
		submit_button();
		?>

	</form>
	<?php

}

?>
