<?php
function slider_shortcode ($atts) {
  $category = null;

  if($atts) {
    $category = $atts['category'];
  }

  $sliderPosts = new WP_Query( array(
    'post_type'  => 'slider_type',
    'orderby' => 'date',
    'order' => 'DESC',
    'category_name' => $category
  ));

  function checkParam($param, $default) {
    if( !empty($param) && ctype_digit(strval($param)) ) {
      echo esc_html($param);
    } else {
      echo $default;
    }
  }

  $options = get_option( 'simple_slick_slider_settings' );

  $fadeanimation = 0;
  $autoplay = 0;
  $boxed = 0;
  if(!empty($options["simple_slick_slider_fadeanimation"])) $fadeanimation = $options["simple_slick_slider_fadeanimation"];
  if(!empty($options["simple_slick_slider_autoplay"])) $autoplay = $options["simple_slick_slider_autoplay"];
  if(!empty($options["simple_slick_slider_boxedlayout"])) $boxed = $options["simple_slick_slider_boxedlayout"];

	ob_start(); ?>

<?php if ( $sliderPosts->have_posts() ) : ?>

  <?php if ($boxed): ?>
    <div class="boxed-container">
  <?php endif; ?>

  <div class="home-slider-container">
    <div class="home-slider">
        <?php while ( $sliderPosts->have_posts() ) : $sliderPosts->the_post(); ?>
          <div class="home-slider__single">
            <?php if(has_post_thumbnail()): ?>
              <div class="home-slider__single-img" style="background-image: url('<?php the_post_thumbnail_url() ?>');">
                <?php if(get_post_meta(get_the_ID(), 'slide_desc', true)): ?>
                <div class="home-slider__box-border">
                  <div class="home-slider__box">
                    <p><?php echo esc_html(get_post_meta(get_the_ID(), 'slide_desc', true)) ?></p>
                    <?php if (get_post_meta(get_the_ID(), 'slide_url', true)): ?>
                      <a href="<?php echo esc_url(get_post_meta(get_the_ID(), 'slide_url', true)) ?>" class="btn btn-primary"><?php echo esc_html__('Read more', 'simple-slick-slider') ?></a>
                    <?php endif; ?>
                  </div>
                </div>
                <?php endif ?>
              </div>
            <?php endif ?>
          </div>
        <?php endwhile; ?>
      <?php wp_reset_postdata(); ?>
    </div>
    <div class="slick-arrow slick-prev-custom">&lt;</div>
    <div class="slick-arrow slick-next-custom">&gt;</div>
  </div>

  <?php if ($boxed): ?>
    </div>
  <?php endif; ?>

<?php endif; ?>

  <script type="text/javascript">
  (function ($) {
    'use strict'

    $(document).ready(function () {
      var slider = $('.home-slider');

      slider.slick({
        dots: false,
        slidesToShow: 1,
        infinite: true,
        speed: <?php checkParam($options["simple_slick_slider_slidespeed"], 400) ?>,
        fade: !!<?php checkParam($fadeanimation, 0) ?>,
        autoplay: !!<?php checkParam($autoplay, 0) ?>,
        autoplaySpeed: <?php checkParam($options["simple_slick_slider_autoplayspeed"], 3000) ?>,
        nextArrow: $('.slick-next-custom'),
        prevArrow: $('.slick-prev-custom')
      })
    })
  })(jQuery)
  </script>

  <?php return ob_get_clean();
}
add_shortcode( 'simple-slick-slider', 'slider_shortcode' );
